# vivado.tcl
#	Simple build script
#	Version 1.0
# 
# Copyright (C) 2013 H.Poetzl

set ODIR .

# STEP#1: setup design sources and constraints

read_vhdl ../non_vhdl_2008.vhd
read_vhdl ../vhdl_2008.vhd

set_property FILE_TYPE "VHDL 2008" [get_files vhdl_2008.vhd]

set_property PART xc7z010clg400-2 [current_project]
set_property TARGET_LANGUAGE VHDL [current_project]

# STEP#2: run synthesis, write checkpoint design

synth_design -top vhdl_2008 -flatten rebuilt    
